Subject: bug#47239: closed (Re: bug#47239: Test failure in tests/publish.scm with commit 1955ef93b76e51cab5bed4c90f7eb9df7035355a)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 31 Mar 2021 14:03:02 +0000

Your bug report

#47239: Test failure in tests/publish.scm with commit 1955ef93b76e51cab5bed4c90f7eb9df7035355a

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47239: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47239
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47239: Test failure in tests/publish.scm with commit 1955ef93b76e51cab5bed4c90f7eb9df7035355a
From: Ludovic Courtès <[email-masked]>
To: Cees de Groot <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 31 Mar 2021 16:02:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Cees de Groot <[email-masked]> skribis:

> I think this is a simple umask issue. Making the test check for just the bits worked for me:
>
> diff --git a/tests/publish.scm b/tests/publish.scm
> index 52101876b5..3e67c435ac 100644
> --- a/tests/publish.scm
> +++ b/tests/publish.scm
> @@ -452,8 +452,8 @@ References: ~%"
> (wait-for-file cached)
>
> ;; Both the narinfo and nar should be world-readable.
> - (= #o644 (stat:perms (lstat cached)))
> - (= #o644 (stat:perms (lstat nar)))
> + (= #o444 (logand #o444 (stat:perms (lstat cached))))
> + (= #o444 (logand #o444 (stat:perms (lstat nar))))

Indeed.  Pushed as c536f0b217714917988d2f412999d978c2f2f495 on your
behalf.

Thanks!

Ludo’.

Subject: Test failure in tests/publish.scm with commit 1955ef93b76e51cab5bed4c90f7eb9df7035355a
From: Konrad Hinsen <[email-masked]>
To: [email-masked]
Date: Thu, 18 Mar 2021 16:05:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix Gurus,

I am trying to compile Guix (commit
1955ef93b76e51cab5bed4c90f7eb9df7035355a) from source, on a computer
running Ubuntu 20.04 with Guix added via a binary installation.  I get
one test failure, whose test-suite.log is attached.

Cheers,
  Konrad.